Package: org.codehaus.groovy.tools.shell

## [Groovy] Class InteractiveShellRunner

- org.codehaus.groovy.tools.shell.InteractiveShellRunner

- All Implemented Interfaces and Traits:
    Runnable

      class InteractiveShellRunner
      extends ShellRunner

  Support for running a Shell interactively using the JLine library.

  Authors:
    Jason Dillon

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ShellRunner` | `log`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandsMultiCompleter` | `completer`
    `Closure` | `prompt`
    `ConsoleReader` | `reader`
    `WrappedInputStream` | `wrappedInputStream`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InteractiveShellRunner (Groovysh shell, Closure prompt)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `readLine()`
    `` | `void` | `run()`
    `` | `void` | `setHistory(FileHistory history)`
    `` | `protected boolean` | `work()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ShellRunner` | `readLine, run, work`

- - ### Property Detail

    - #### final CommandsMultiCompleter completer

    - #### final Closure prompt

    - #### ConsoleReader reader

    - #### WrappedInputStream wrappedInputStream

  - ### Constructor Detail

    - #### InteractiveShellRunner(Groovysh shell, Closure prompt)

  - ### Method Detail

    - #### @Override protected String readLine()

    - #### @Override void run()

    - #### void setHistory(FileHistory history)

    - #### @Override protected boolean work()